<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<?php 
require("../conectar.php");
?>
<head>
<script src="//ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js">
</script>
  <script language="javascript" src="js/jquery-1.2.6.min.js"></script>
    <style>
	    .planTrabajo{width:300px;background:#FFFFFF;height:600px;position:fixed;border-right:2px solid #BDBDBD;border-top:2px solid #BDBDBD;border-bottom:2px solid #BDBDBD;}
		.openClose{width:60px;height:120px;left:100%;position:absolute;background:url(images/onpenClose.png) no-repeat;margin-top:240px;}
				
		.bt{position:absolute;margin-top:40px;}
		.showPlan{position:absolute;width:260px;height:540px;top:40px;left:20px;-Moz-box-shadow: inset 0px 0px 45px #848484;-webkit-box-shadow: inset 0px 0px 45px #848484; box-shadow:inset 0px 0px 45px #848484;}
		.categoria{position:relative;width:260px;padding-top:3px;padding-bottom:3px;text-align:center;font-size:11px;font-family:arial;background:#FFFFFF;border-bottom:1px solid #BDBDBD;border-top:1px solid #BDBDBD;color:#848484;}
		.fila{position:relative;width:257px;padding-top:3px;padding-left:3px;font-size:11px;font-family:arial;border-bottom:1px solid #BDBDBD;border-top:1px solid #BDBDBD;color:#848484;}
				
		.dts{border-collapse:collapse;font-family:arial;font-size:11px;width:100%;}
		.tit{padding-top:5px;padding-bottom:5px;font-size:18px;}
		.subt{padding-top:5px;padding-bottom:5px;font-size:12px;font-weight:bold;}
		.TablaCoor{ text-align:center; font-size:20px; display:block; background-color:#CCCCCC;}
		.TablaCoor:hover{  text-align:center; font-size:20px; display:block; background-color:#666666;}
		.TablaEjec{ text-align:center; font-size:20px; display:block; background-color:#CCCCCC;}
		.TablaEjec:hover{ text-align:center; font-size:20px; display:block; background-color:#666666;}
		.TablaCoorporativo{ text-align:center; font-size:20px; display:block; background-color:#CCCCCC;}
		.TablaCoorporativo:hover{ text-align:center; font-size:20px; display:block; background-color:#666666;}
		.input{  border: 1px solid #006; background: #ffc;}
		.boton{ display:block;}
	</style>
	<script>
	     function valida(){
		    var con=document.getElementById("concepto");
		    var come=document.getElementById("comeje");
		    var comc=document.getElementById("comcoord");
		    var coma=document.getElementById("comadm");
            if(con.value==""){
			     alert("Debe indicar el concepto");con.focus();
				 return false;
			}
            if(come.value==""){
			     alert("Debe indicar la comision para ejecutivos");come.focus();
				 return false;
			}
            if(comc.value==""){
			     alert("Debe indicar la comision para coordinadores");comc.focus();
				 return false;
			}
            if(coma.value==""){
			     alert("Debe indicar la comision para administrador");coma.focus();
				 return false;
			}			
		 }
		 function carga()
		 { 
				$("form.coordinador").toggle("slow");
		 
		 }	
		$(document).ready(function()
		{
			$("p.TablaCoor").click(function()
			{
				$("form.coordinador").toggle("slow");
			});
			$("p.TablaEjec").click(function()
			{
				$("form.ejecutivo").toggle("slow" );
				
			});
			$("p.TablaCoorporativo").click(function()
			{
				$("form.coorporativo").toggle("slow" );
				
			});
		});
	</script>
</head>

    <?
     if(isset($_POST["registrar"])){
	 $ban=$_POST['x'];
	 for($e=1;$e<=$ban;$e++)
	 {
	 $nuevoI=$_POST["nuevoI$e"];
	 $nuevoS=$_POST["nuevoS$e"];
	 $comision=$_POST["comision$e"];
	 $celular=$_POST["celular$e"];
	 $transporte=$_POST["transporte$e"];
	 $mens=$_POST["mens$e"];
	 $nombre=$_POST["nombre$e"];
	 $update="UPDATE comisiones_coor SET nuevoI='$nuevoI', nuevoS='$nuevoS',comision='$comision', celular='$celular',  transporte='$transporte', mens='$mens' where nombre='$nombre'";
	 mysql_query($update);
	 }}
	  if(isset($_POST["registrar1"])){
	 $ban1=$_POST['x1'];
	 for($e=1;$e<=$ban1;$e++)
	 {
	 $nuevoI=$_POST["nuevoI2$e"];
	 $nuevoS=$_POST["nuevoS2$e"];
	 $comision=$_POST["comision2$e"];
	 $celular=$_POST["celular2$e"];
	 $transporte=$_POST["transporte2$e"];
	 $mens=$_POST["mens2$e"];
	 $nombre=$_POST["nombre2$e"];
	 $update="UPDATE comisiones_ejec SET nuevoI='$nuevoI', nuevoS='$nuevoS', comision='$comision', celular='$celular',  transporte='$transporte', mens='$mens' where nombre='$nombre'";
	 mysql_query($update);
	 }}
	 if(isset($_POST["registrar3"])){
	   $sql="select count(idsueldo) as tot from sueldos";
	   $eje=mysql_query($sql);
	   $cuantos=mysql_fetch_array($eje);
	   $cuan=$cuantos['tot'];
	   $total=$_POST['total'];
	   if($cuan==0){
	     for($i=0;$i<$total;$i++){
	     $puesto=$_POST["idpuesto$i"];
		 $sueldofijo=$_POST["sueldofijo$i"];
		 $bono=$_POST["bono$i"];
         $sqlins="INSERT INTO sueldos(idpuesto,fijo,bono) values('$puesto','$sueldofijo','$bono')";	
		 mysql_query($sqlins);
	      }
	   }else{
	   for($i=0;$i<$total;$i++){
	     $puesto=$_POST["idpuesto$i"];
		 $sueldofijo=$_POST["sueldofijo$i"];
		 $bono=$_POST["bono$i"];
		 
		 $sqlp="select count(id_puesto) as no from puestos where not exists(select * from sueldos where puestos.id_puesto=sueldos.idpuesto) and puestos.id_puesto not in('3','4','5')";
         $ejep=mysql_query($sqlp);
         $p=mysql_fetch_array($ejep);
		 $pno=$p['no'];
		 if($pno==0){
		    $update="UPDATE sueldos SET idpuesto='$puesto',fijo='$sueldofijo', bono='$bono' where idpuesto='$puesto'";	
		 mysql_query($update);
		 }else{
		  $sqlpsi="select id_puesto from puestos where not exists(select * from sueldos where puestos.id_puesto=sueldos.idpuesto) and puestos.id_puesto not in('3','4','5')";
         $ejepsi=mysql_query($sqlpsi);
         $psi=mysql_fetch_array($ejepsi);
		 $sqlsi="INSERT INTO sueldos(idpuesto,fijo,bono) values('$psi[id_puesto]','$sueldofijo','$bono')";	
		 mysql_query($sqlsi);
		 }
	   }	   
	   }
	 

	 }
	 ?>
     <body>
	<p class="TablaCoor">Tabla de comisiones para coordinadores</p>
	
	 <form class="coordinador" name="comisiones_coor" method="POST" action="reg_comisiones.php" onsubmit="return valida();">
	 
	     <table class="dts" >
		     <tr class="categoria"><td class="tit" colspan="7">Registro de comisiones</td></tr>
		     <tr class="categoria"><td class="subt">Nombre</td>
             <td class="subt">De</td>
             <td class="subt">Hasta</td>
		     <td class="subt">Comision</td>
		     <td class="subt">Celular</td>
		     <td class="subt">Transporte</td>
		     <td class="subt">Mensualidad</td>
		     </tr>
			 <?php 
			$cons="SELECT * FROM comisiones_coor";
			$cos=Mysql_query($cons);
			while($reg=mysql_fetch_array($cos))
			{
			$x++;
			
			 ?>
			 <tr class="fila">
		       <td align="center"><label>
		         <input readonly name="nombre<?echo$x?>" type="text" class="input" id="nombre<?echo$x?>" value="<?php echo $reg['nombre']; ?>" size="8" />
		       </label></td> 
				 <p class="a" >
		        <td align="center">
		         <input name="nuevoI<?echo$x?>" type="text" class="input" id="nuevoI<?echo$x?>" value="<?php echo $reg['nuevoI'];?>" size="8" autocomplete=off >
	            </input>%</td>
				<td align="center">
		         <input name="nuevoS<?echo$x?>" type="text" class="input" id="nuevoS<?echo$x?>" value="<?php echo $reg['nuevoS'];?>" size="8" autocomplete=off >
	            </input>%</td>
<td align="center">
  <input name="comision<?echo$x?>" type="text" class="input" id="comision<?echo$x?>" value="<?php echo $reg['comision']; ?>" size="8" autocomplete=off >
  </input>%</td>
<td align="center">$
  <input name="celular<?echo$x?>" type="text" class="input" id="celular<?echo$x?>" value="<?php echo $reg['celular']; ?>" size="8" autocomplete=off /></td>
<td align="center">$  
  <input name="transporte<?echo$x?>" type="text" class="input" id="transporte<?echo$x?>" value="<?php echo $reg['transporte']; ?>" size="8" autocomplete=off /></td>
<td align="center">$
  <input name="mens<?echo$x?>" type="text" class="input" id="mens<?echo$x?>" value="<?php echo $reg['mens']; ?>" size="8" autocomplete=off /></td>
		   </tr>
							 <?php }?>
							 <input type="hidden" name="x" id="x" value="<?echo$x;?>" >
			 <tr>
			     <td colspan="6" align="center"><input class="boton" type="submit" name="registrar" value="Modificar Tabla"></td>
			 </tr>
		 </table>
	   </form>
	
	 
	
	
	 <p class="TablaEjec">Tabla de comisiones para ejecutivo</p>

		<form class="ejecutivo" name="comisiones_coor" method="POST" action="reg_comisiones.php" onsubmit="return valida();">
	     <table class="dts" id="tablaejec">
		     <tr class="categoria"><td class="tit" colspan="6">Registro de comisiones</td></tr>
		     <tr class="categoria"><td class="subt">Nombre</td>
		     
               <td class="subt">De</td>
               <td class="subt">Hasta</td>
		     <td class="subt">Comision</td>
		     <td class="subt">Celular</td>
		     <td class="subt">Transporte</td>
		     <td class="subt">Mensualidad</td>
		     </tr>
			<?php  $cons="SELECT * FROM comisiones_ejec";
			$cos=Mysql_query($cons);
			$x=0;
			while($reg2=mysql_fetch_array($cos))
			{
			$x++;
			?>
			 <tr class="fila">
		       <td align="center"><label>
		       <input readonly name="nombre2<?echo$x?>" type="text" class="input" id="nombre2<?echo$x?>" value="<?php echo $reg2['nombre']; ?>" size="8" />
		       </label></td> 
				 <p class="a" >
		       <td align="center">
		         $<input name="nuevoI2<?echo$x?>" type="text" class="input" id="nuevoI2<?echo$x?>" value="<?php echo $reg2['nuevoI'];?>" size="8" autocomplete=off >
	            </input></td>
				<td align="center">
		         $<input name="nuevoS2<?echo$x?>" type="text" class="input" id="nuevoS2<?echo$x?>" value="<?php echo $reg2['nuevoS'];?>" size="8" autocomplete=off >
	            </input></td>
<td align="center">
  <input name="comision2<?echo$x?>" type="text" class="input" id="comision2<?echo$x?>" value="<?php echo $reg2['comision']; ?>" size="8" autocomplete=off >
  </input>%</td>
<td align="center">$
  <input name="celular2<?echo$x?>" type="text" class="input" id="celular2<?echo$x?>" value="<?php echo $reg2['celular']; ?>" size="8" autocomplete=off /></td>
<td align="center">$  
  <input name="transporte2<?echo$x?>" type="text" class="input" id="transporte2<?echo$x?>" value="<?php echo $reg2['transporte']; ?>" size="8" autocomplete=off /></td>
<td align="center">$
  <input name="mens2<?echo$x?>" type="text" class="input" id="mens2<?echo$x?>" value="<?php echo $reg2['mens']; ?>" size="8" autocomplete=off /></td>
		   </tr>
		   <? }?>
		   <input type="hidden" name="x1" id="x1" value="<?echo$x;?>" >
			 <tr>
			     <td colspan="6" align="center"><input class="boton" type="submit" name="registrar1" value="Modificar Tabla"></td>
			 </tr>
		 </table>
	   </form>
	   
	 <p class="TablaCoorporativo">Sueldos Coorporativo</p>
		<form class="coorporativo" name="coorporativo" method="POST" action="reg_comisiones.php">
			 <table class="dts" id="tablacoorporativo">
				 <tr class="categoria"><td class="tit" colspan="6">Sueldos</td></tr>
				 <tr class="categoria"><td class="subt">Puesto</td>
					 <td class="subt">Sueldo Fijo</td>
					 <td class="subt">Bono</td>
				 </tr>
				 <?
				   $sqlsueldos="select id_puesto,puesto from puestos where id_puesto not in('3','4','5')";
				   $eje=mysql_query($sqlsueldos);
				   $tot=0;
				   while($sueldo=mysql_fetch_array($eje)){
				      $sqlfijo="select idpuesto,fijo,bono from sueldos where idpuesto='$sueldo[id_puesto]'";
					  $ejefijo=mysql_query($sqlfijo);
					  $fijo=mysql_fetch_array($ejefijo);
				   ?>
				 <tr class="fila">
				    <input type="hidden" name="idpuesto<?echo$tot;?>" id="idpuesto<?echo$tot;?>" value="<?echo $sueldo['id_puesto'];?>">
				    <td align="justify"><?echo $sueldo['puesto'];?></td>
					<td align="center"><input name="sueldofijo<?echo$tot;?>" type="text" class="input" id="sueldofijo<?echo$tot;?>" value="<?echo $fijo['fijo'];?>" size="8" autocomplete=off ></td>
					<td align="center"><input name="bono<?echo$tot;?>" type="text" class="input" id="bono<?echo$tot;?>" value="<?echo $fijo['bono'];?>" size="8" autocomplete=off ></td>
				 </tr>
				  <?$tot++;}?>
				  <input type="hidden" name="total" value="<?echo$tot;?>">
				 <tr>
					 <td colspan="3" align="center"><input class="boton" type="submit" name="registrar3" value="Modificar Tabla"></td>
				 </tr>
			 </table>
	   </form>
     </div>
     </body>
</html>